// Wizard95Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "Wiz95Dlg.h"
#include "Wizard95.h"
#include "PSheet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWizard95Dlg dialog

CWizard95Dlg::CWizard95Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CWizard95Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CWizard95Dlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CWizard95Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CWizard95Dlg)
	DDX_Control(pDX, IDC_MSESSCTRL1, m_Session);
	DDX_Control(pDX, IDC_MMSGCTRL1, m_Message);
	DDX_Control(pDX, IDC_MMSGCTRL2, m_ReadMsg);
	DDX_Control(pDX, IDC_MRECICTRL1, m_Originator);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CWizard95Dlg, CDialog)
	//{{AFX_MSG_MAP(CWizard95Dlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_WIZARD, OnWizard)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWizard95Dlg message handlers

BOOL CWizard95Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	m_Message.BindWith(m_Session.GetObjRef());	
	m_ReadMsg.BindWith(m_Session.GetObjRef());	
	m_Originator.BindWith(m_ReadMsg.GetObjRef());	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CWizard95Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CWizard95Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CWizard95Dlg::OnWizard()
{
	// TODO: The property sheet attached to your project
	// via this function is not hooked up to any message
	// handler.  In order to actually use the property sheet,
	// you will need to associate this function with a control
	// in your project such as a menu item or tool bar button.

	CMyPropertySheet propSheet;

	propSheet.m_psh.dwFlags&=~PSH_HASHELP;
	propSheet.DoModal();

	// This is where you would retrieve information from the property
	// sheet if propSheet.DoModal() returned IDOK.  We aren't doing
	// anything for simplicity.
}
